Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsServerStats Class Reference

This class contains status information on the server process. More...

## Public Member Functions
override string | ToString ()
| Return report as a string.
String | devkit_info ()
| Return the Devkit Build Information.
String | server_info ()
| Return the server status string.
String | product_name ()
| Return the official product name.
String | version ()
| Return the release version.
String | build_date ()
| Return the build date of the server.
String | who_built ()
| Return who built the server.
int | port ()
| Obsolete. use getPlainTextPort or getEncryptedPort instead.
int? | getPlainTextPort ()
int? | getEncryptedPort ()
int | max_threads ()
| Return maximum number of worker threads.
String | checkpoint_dir ()
| Return the directory used for checkpoint/restore.
bool | autorestore ()
| Return whether auto-restore feature is enabled.
String | gateway_cfg ()
| Return the gateway configuration file name.
int | maxmem_kb ()
| Return memory limit for table data.
bool | gip_enabled ()
| Return true if GIP is the default prefilter.
bool | sort_enabled ()
| Return true if SORT is the default prefilter.
bool | psi_enabled ()
| Return true if PSI is the default prefilter.
bool | learn_engine ()
| Return true if this engine support Learn features.
bool | durable_data ()
| Return true if the engine is using the durable-data feature.
int? | max_tables ()
| Returns the maximum number of tables allowed by the engine.
int | tranIdleTimeout ()
| Return the current idle transaction timeout setting.
String | tranIdleAction ()
| Return the current idle transaction action setting.
bool | gpu_accleration ()
| Check if the server supports GPU acceleration of GIP indexing.
NetricsGpuDeviceInfo[] | gpu_devices ()
| Get a list of GPU devices the server can make use of.

## Detailed Description

This class contains status information on the server process.

The server will return information on itself, including such things as its product name, version number and enabled features. An object of this class holds a complete report on this server status information returned by the server.

Objects of this class are generated as the results of a NetricsServerInterface.svrstats call, they can not be created directly.

See also
  NetricsServerInterface.server_info()

## Member Function Documentation

## ◆ autorestore()

bool NetricsServerInterface.NetricsServerStats.autorestore | ( |  | ) |
| inline

Return whether auto-restore feature is enabled.

If the server was started with auto-restore feature this is true, if no information was received or the server was not started with auto-restore this returns false.

## ◆ build_date()

String NetricsServerInterface.NetricsServerStats.build_date | ( |  | ) |
| inline

Return the build date of the server.

Returns the time and date the server was built in the default date(1) format for the platform, the special value "(unknown)" if no build date information was received.

## ◆ checkpoint_dir()

String NetricsServerInterface.NetricsServerStats.checkpoint_dir | ( |  | ) |
| inline

Return the directory used for checkpoint/restore.

Returns the directory used to hold checkpointed tables. The special value "Not Enabled" is returned if checkpointing is not enabled on this server. The special value "(unknown)" is returned if no directory information was received.

## ◆ devkit_info()

String NetricsServerInterface.NetricsServerStats.devkit_info | ( |  | ) |
| inline

Return the Devkit Build Information.

This returns the raw Devkit build and configuration string, or the special value "(unknown)" if no Devkit information was received.

## ◆ durable_data()

bool NetricsServerInterface.NetricsServerStats.durable_data | ( |  | ) |
| inline

Return true if the engine is using the durable-data feature.

If the engine is using the durable-data feature this returns true. If no information was received, or the engine is not using the durable-data feature, returns false.

## ◆ gateway_cfg()

String NetricsServerInterface.NetricsServerStats.gateway_cfg | ( |  | ) |
| inline

Return the gateway configuration file name.

Returns the name of the file holding the gateway configuration. The special value "Not a Gateway" is returned if this server is not acting as a gateway. The special value "(unknown)" is returned if no gateway information was received.

## ◆ getEncryptedPort()

int? NetricsServerInterface.NetricsServerStats.getEncryptedPort | ( |  | ) |
| inline

Returns
  The listening port for that server for encrypted communications, or null if encrypted communications are disabled.

## ◆ getPlainTextPort()

int? NetricsServerInterface.NetricsServerStats.getPlainTextPort | ( |  | ) |
| inline

Returns
  The listening port for that server for plain-text communications, or null if plain-text communications are disabled.

## ◆ gip_enabled()

bool NetricsServerInterface.NetricsServerStats.gip_enabled | ( |  | ) |
| inline

Return true if GIP is the default prefilter.

If GIP is the default prefilter this returns true, if no information was received on the GIP status, or the GIP prefilter is not the default this returns false.

## ◆ gpu_accleration()

bool NetricsServerInterface.NetricsServerStats.gpu_accleration | ( |  | ) |
| inline

Check if the server supports GPU acceleration of GIP indexing.

true if the server supports GPU acceleration of GIP indexing.

## ◆ gpu_devices()

NetricsGpuDeviceInfo[] NetricsServerInterface.NetricsServerStats.gpu_devices | ( |  | ) |
| inline

Get a list of GPU devices the server can make use of.

Returns
  a list of GPU devices, or null if the server does not support GPU acceleration of GIP indexing.

## ◆ learn_engine()

bool NetricsServerInterface.NetricsServerStats.learn_engine | ( |  | ) |
| inline

Return true if this engine support Learn features.

If use of the Learn features are supported this returns true, if no information was received on the learn status, or Learn is not enabled this returns false.

## ◆ max_tables()

int? NetricsServerInterface.NetricsServerStats.max_tables | ( |  | ) |
| inline

Returns the maximum number of tables allowed by the engine.

If null is returned, the engine is limited only by available memory.

## ◆ max_threads()

int NetricsServerInterface.NetricsServerStats.max_threads | ( |  | ) |
| inline

Return maximum number of worker threads.

This returns the maximum number of simultaneous command processing threads this server will employ, the special value -1 indicates no thread limit information was received.

## ◆ maxmem_kb()

int NetricsServerInterface.NetricsServerStats.maxmem_kb | ( |  | ) |
| inline

Return memory limit for table data.

This returns the combined memory limit for all tables. The value is given in Kilo-Bytes. This is a combined limit for all tables, not an individual table limit. Once this limit is reached attempts to add data to tables will receive a MEMORY_EXCEEDED error. The value 0 indicates there is no limit, the server will continue to allocate memory until the process limit is exceeded, at which point it will abort. The special value -1 indicates no memory limit information was returned.

## ◆ port()

int NetricsServerInterface.NetricsServerStats.port | ( |  | ) |
| inline

Obsolete. use getPlainTextPort or getEncryptedPort instead.

The special value -1 indicates no port number information is available.

Returns
  The port number the server is listening on for plain-text communications, or if plain-text communications are disabled, return the port number the server is listening on for encrypted communications. For embedded servers, always returns -1.

## ◆ product_name()

String NetricsServerInterface.NetricsServerStats.product_name | ( |  | ) |
| inline

Return the official product name.

Returns the official product name for the server, the special value "(unknown)" if no product name was received.

## ◆ psi_enabled()

bool NetricsServerInterface.NetricsServerStats.psi_enabled | ( |  | ) |
| inline

Return true if PSI is the default prefilter.

If PSI is the default prefilter this returns true, if no information was received on the PSI status, or the PSI prefilter is not the default this returns false.

## ◆ server_info()

String NetricsServerInterface.NetricsServerStats.server_info | ( |  | ) |
| inline

Return the server status string.

Returns the raw server status string, the special value "(unknown)" if no Server information was received. The server status string is an XML snippet of the form:

<server_info>
<product_name><i>product name string</i></product_name>
<version><i>full version number</i></version>
<build_date><i>date of build</i></build_date>
<who_built><i>ID of who ran build</i></who_built>

## ◆ sort_enabled()

bool NetricsServerInterface.NetricsServerStats.sort_enabled | ( |  | ) |
| inline

Return true if SORT is the default prefilter.

If SORT is the default prefilter this returns true, if no information was received on the SORT status, or the SORT prefilter is not the default this returns false.

## ◆ ToString()

override string NetricsServerInterface.NetricsServerStats.ToString | ( |  | ) |
| inline

Return report as a string.

This formats the server statistics into a human readable report.

Returns
  human readable report as a string.

## ◆ tranIdleAction()

String NetricsServerInterface.NetricsServerStats.tranIdleAction | ( |  | ) |
| inline

Return the current idle transaction action setting.

This returns the current idle transaction action setting on the server. A value of "<none>" indicates the server did not return a value. See the TranSetIdleOpts method of the NetricsServerInterface class for an explanation of the other values.

See also
  NetricsServerInterface.tranSetIdleOpts

## ◆ tranIdleTimeout()

int NetricsServerInterface.NetricsServerStats.tranIdleTimeout | ( |  | ) |
| inline

Return the current idle transaction timeout setting.

This returns the current idle transaction timeout setting on the server. The value is in seconds. A value of zero indicates there is no time out. A value of -1 indicates the server did not return a value.

See also
  NetricsServerInterface.tranSetIdleOpts

## ◆ version()

String NetricsServerInterface.NetricsServerStats.version | ( |  | ) |
| inline

Return the release version.

Returns the full 3 digit release version of the server, the special value "(unknown)" if no version info was received.

## ◆ who_built()

String NetricsServerInterface.NetricsServerStats.who_built | ( |  | ) |
| inline

Return who built the server.

Returns the login ID of who ran the build of this server, the special value "(unknown)" if no who built information was received.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.